Downgrade udev 157->151 on opensuse 11.3 to bring back to life Xen 4.0 (2.6.34-12-xen)

Posted by dba477 on Jul 26, 2010 9:41 PM EDT
Xen Virtualization on Linux and Solaris; By Boris Derzhavets
Mail this story
Print this story

Well known Bugzilla Bug 1612 “Can’t start VM when vif set and udev version is greater than 151? is also affecting xenified aka Suse kernel 2.6.34-12-xen. The workaround for the issue might be udev downgrade from 157 to 151. Following bellow is step by step description of this procedure on Opensuse 11.3 successfully fixed “Hotplug scripts not working” error.

Appearance virt-install on Suse 11.3 properly working with Libvirt 0.8.2 also was a bit surprising. However, virt-install works only via command line. Virt-manager invokes old style GUI interface, which crashes same way as it did on 11.2.

Full Story

» Read more about: Story Type: Tutorial; Groups: Novell, SUSE

« Return to the newswire homepage

This topic does not have any threads posted yet!

You cannot post until you login.